Bug 1266060 - fedora-easy-karma is very slow when connecting to the internet
fedora-easy-karma is very slow when connecting to the internet
Status: NEW
Product: Fedora
Classification: Fedora
Component: fedora-easy-karma (Show other bugs)
28
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 08:05 EDT by Christian Stadelmann
Modified: 2018-05-21 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1425272 (view as bug list)
Environment:
Last Closed: 2016-07-19 15:57:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-09-24 08:05:45 EDT
Description of problem:
Whenever f-e-k is making a network connection, it is _very_ slow. Fetching the updates page from Bodhi takes ~60 seconds on a 50 MBit/s internet connection.
I made sure it is not my internet connection to make it that slow.
Logging in on FAS takes another ~20 seconds. CPU load is low.

Version-Release number of selected component (if applicable):
fedora-easy-karma-0-0.26.20150921gitc932687a.fc22.noarch
Comment 1 Ralph Bean 2015-09-29 15:55:38 EDT
We pushed out some optimizations[1] to the bodhi2 server on Monday, Sept 28th which should have made things faster.

Can you confirm?  If so, can we close this bug?

[1] - https://github.com/fedora-infra/bodhi/pull/612
Comment 2 Till Maas 2015-09-29 17:28:53 EDT
Getting the update took 2 minutes here and logging in to FAS was slow as well. However it is nothing that f-e-k can improve afaics, since it is the servers that are slow.
Comment 3 Christian Stadelmann 2015-09-29 18:09:04 EDT
I have the impression that it is even slower. At least it is not faster. Still takes >20 seconds for the first update page to fetch and >60 seconds in total.
Comment 4 Ralph Bean 2015-09-29 21:07:29 EDT
I just added the f-e-k query to the 'perf-test' script we're using to benchmark new code that gets added.  Hopefully we can use that to zero in on what's making it so slow.  https://github.com/fedora-infra/bodhi/commit/7fc1092030aad93dc50e710499f78fa5d6f4782e
Comment 5 Ralph Bean 2016-04-04 11:56:56 EDT
An update:  I checked today and it currently takes ~30s per page.
Comment 6 Fedora End Of Life 2016-07-19 15:57:08 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Christian Stadelmann 2016-07-19 16:06:39 EDT
Still present.
Comment 8 Christian Stadelmann 2016-09-19 10:10:28 EDT
It might be useful to have f-e-k show the dialog for updates as they come in and not wait until info about all updates are downloaded from Bodhi.
Comment 9 Christian Stadelmann 2017-05-17 11:11:23 EDT
(In reply to Christian Stadelmann from comment #0)
> Description of problem:
> Whenever f-e-k is making a network connection, it is _very_ slow. Fetching
> the updates page from Bodhi takes ~60 seconds on a 50 MBit/s internet
> connection.

This is still present.

> I made sure it is not my internet connection to make it that slow.
> Logging in on FAS takes another ~20 seconds. CPU load is low.

Still takes long, but not that long any more I think.
Comment 10 Fedora End Of Life 2018-05-03 04:50:04 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.